Package org.wildfly.plugin.tools

## Interface ContainerDescription

-     public interface ContainerDescription

  Information about the running container.
  Author:
    James R. Perkins

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ContainerDescription.ModelVersion` | Describes the model version.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getLaunchType()` | Returns the type of the server that was launched.
    `default ContainerDescription.ModelVersion` | `getModelVersion()` | Returns the root model version.
    `String` | `getProductName()` | Returns the name of the product.
    `String` | `getProductVersion()` | Returns the product version, if defined, or `null` if the product version was not defined.
    `String` | `getReleaseVersion()` | Returns the release version, if defined, or `null` if the release version was not defined.
    `boolean` | `isDomain()` | Checks if the server is a managed domain server.
    `static ContainerDescription` | `lookup​(org.jboss.as.controller.client.ModelControllerClient client)` | Queries the running container and attempts to lookup the information from the running container.

- - ### Method Detail

    - #### getProductName

          String getProductName()

      Returns the name of the product.
      Returns:
        the name of the product

    - #### getProductVersion

          String getProductVersion()

      Returns the product version, if defined, or `null` if the product version was not defined.
      Returns:
        the product version or `null` if not defined

    - #### getReleaseVersion

          String getReleaseVersion()

      Returns the release version, if defined, or `null` if the release version was not defined.

      Note that in WildFly 9+ this is usually the version for WildFly Core. In WildFly 8 this is the full version.

      Returns:
        the release version or `null` if not defined

    - #### getModelVersion

          default ContainerDescription.ModelVersion getModelVersion()

      Returns the root model version.
      Returns:
        the model version

    - #### getLaunchType

          String getLaunchType()

      Returns the type of the server that was launched.
      Returns:
        the type of the server that was launched or `null` if not defined

    - #### isDomain

          boolean isDomain()

      Checks if the server is a managed domain server.
      Returns:
        `true` if this is a managed domain, otherwise `false`

    - #### lookup

          static ContainerDescription lookup​(org.jboss.as.controller.client.ModelControllerClient client)
                                      throws IOException,
                                             OperationExecutionException

      Queries the running container and attempts to lookup the information from the running container.
      Parameters:
        `client` - the client used to execute the management operation
      Returns:
        the container description
      Throws:
        `IOException` - if an error occurs communicating with the server
        `OperationExecutionException` - if the operation used to query the container fails